# Class MediaEncryptedError

#### Hierarchy

- MediaPlayerError
  - MediaEncryptedError

#####
Index

### Constructors

constructor

### Properties

category
code
description

## Constructors

### constructor

- new MediaEncryptedError(): MediaEncryptedError

- #### Returns MediaEncryptedError

  Inherited from MediaPlayerError.constructor

## Properties

### `Readonly` category

category: Media = ErrorCategory.Media

Inherited from MediaPlayerError.category

### `Readonly` code

code: MediaEncryptedError = ErrorCode.MediaEncryptedError

Overrides MediaPlayerError.code

### `Readonly` description

description: "The media is encrypted and we do not have the keys to decrypt it." = 'The media is encrypted and we do not have the keys to decrypt it.'